C****************************************************************
C* 								*
C*								*
C*	DIGITAL EQUIPMENT CORPORATION ASSUMES NO RESPONSIBILITY *
C*	EITHER FOR THE CREATION OR FOR THE CLINICAL EFFICACY	*
C*	OF THIS PROGRAM. USERS MUST ASSUME FULL RESPONSIBILITY	*
C*	FOR ANY RESULTS OR DIAGNOSES OBTAINED FROM THE USE	*
C*	OF THIS PROGRAM. QUESTIONS ON THE EXECUTION OF THIS	*
C*	PROGRAM MUST BE REFERRED BACK TO THE ORIGINAL AUTHOR.	*
C*								*
C* AUTHOR:	SALLY FORSTER					*
C*		C/O DEPARTMENT OF NUCLEAR MEDICINE		*
C*		GUY'S HOSPITAL				*
C*		LONDON, ENGLAND					*
C*								*
C*		TEL: 01-407-7600 EXT 2583/4			*
C*								*
C****************************************************************
	FUNCTION LABCUR(ISV)
C*****LABELS A COLOURED SPLODGE
	IMPLICIT LOGICAL*1(A)
	IMPLICIT INTEGER*2(D-Z)
	COMMON/IN/NA,A(76),LP,ASEMIC,ASPACE
	IF(ISV.GT.13)RETURN
	DO 30 I=LP,NA
	IF(A(I).EQ.ASEMIC)GOTO 40
30	CONTINUE
	I=NA+1
40	J=5+ISV
	CALL CHSET(52,J)
	J=I-LP
	IF(J.GT.10)J=10
	CALL WRITEL(A(LP),J)
	LP=I+1
	LABCUR=0
	RETURN
	END
